Skip to content
API referencePlatformPlatform audit

Platform_list_audit_log

GET
/platform/v1/projects/{project_id}/audit-log

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

project_id*string
Formatuuid

Query Parameters

before?|

Cursor: return rows with id < this value (the last id of the prior page).

Formatuuid
limit?|

Page size, clamped to [1, 1000]. Defaults to 200.

Range0 <= value

Response Body

application/json

application/json

curl -X GET "https://example.com/platform/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/audit-log"
[  {    "action": "provider_create",    "actor_user_id": "d6ed4497-4325-4995-9f49-e288b7192e46",    "after": {      "property1": "string",      "property2": "string"    },    "before": {      "property1": "string",      "property2": "string"    },    "context": {      "property1": "string",      "property2": "string"    },    "created_at": "2019-08-24T14:15:22Z",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",    "retain_until_at": "2019-08-24T14:15:22Z",    "subject_id": "80e197be-61ad-4068-b4ff-a483fb5c18f9",    "subject_kind": "string"  }]
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}